varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform vec4 lightColor;

void main()
{
    vec4 origin = texture2D(CC_Texture0, v_texCoord);
    vec3 comp = vec3(1.0, 1.0, 1.0) - origin.rgb;
    vec3 retRGB = comp * lightColor.rgb + origin.rgb;
    gl_FragColor = vec4(retRGB, origin.a * lightColor.a * 0.5) * v_fragmentColor;
}