varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform int touched;
uniform vec4 texCoordRect;

void main()
{
    vec4 origin_color = texture2D(CC_Texture0, v_texCoord) * v_fragmentColor;
    vec4 edge_color = vec4(0, 1, 0, 1);
    if (touched == 0) gl_FragColor = origin_color;
    else if (v_texCoord.x < texCoordRect.x ||
             v_texCoord.x > texCoordRect.y ||
             v_texCoord.y < texCoordRect.z ||
             v_texCoord.y > texCoordRect.w)
        gl_FragColor = edge_color;
    else gl_FragColor = origin_color;
}